SystemOrganization addCategory: #'iStoaXP-Installer'!

Object subclass: #StoaInstaller
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'iStoaXP-Installer'!

!StoaInstaller commentStamp: 'HilaireFernandes 3/16/2014 08:36' prior: 0!
A StoaInstaller is an abstraction class to install iStoa. Subclasses are dedicated to workstations or tablet devices.
!

!StoaInstaller class methodsFor: 'install' stamp: 'HilaireFernandes 3/16/2014 09:43'!
forUnix
	StoaInstallerWorkstation new install! !

!StoaInstaller methodsFor: 'cleaning' stamp: 'HilaireFernandes 3/16/2014 09:44'!
cleanMySelf
	"Remove my self"! !

!StoaInstaller methodsFor: 'cleaning' stamp: 'HilaireFernandes 7/28/2014 17:09'!
cleanUpForRelease
"Remove all unecessary packages and do cleaning to save dynamic memory space"
	ImageCleaner cleanUpForProduction.
	self deeperCleaning.
	self cleanMySelf.
	Smalltalk fixObsoleteReferences.

	Smalltalk garbageCollect.
	Smalltalk garbageCollect.
	Smalltalk garbageCollect.
! !

!StoaInstaller methodsFor: 'cleaning' stamp: 'HilaireFernandes 3/19/2014 15:59'!
deeperCleaning
	"Some more cleaning not done in ImageCleaner"
	FreeTypeFontProvider unload.
	StrikeFont cleanUp.
! !

!StoaInstaller methodsFor: 'setup' stamp: 'HilaireFernandes 5/28/2014 10:15'!
install
" do the job"
"	canWeDisplayLoader := true. 
	WorldState desktopMenuTitle: 'Dr. Geo'.
	WorldState desktopMenuPragmaKeyword:  'drgeoMenu'."
	Display newDepth: 32.
	PolymorphSystemSettings uiThemeClass:  UIThemeWatery.
	PolymorphSystemSettings desktopColor: Color black.
	UITheme currentSettings fastDragging: true.
	UITheme currentSettings fadedBackgroundWindows: false.
	TaskbarMorph showTaskbar: false.
	SystemWindow fullscreenMargin: 0.

	TextDomainManager registerCategoryPrefix: 'iStoaXP-Core' domain: 'iStoa'.
	TextDomainManager registerCategoryPrefix: 'iStoaXP-Gde1' domain: 'iStoa-Grade1'.	
	TextDomainManager registerCategoryPrefix: 'pharo' domain: 'pharo'.	
	Locale activated: true.
	PharoFilesOpener default unsetInformAboutReadOnlyChanges! !

StoaInstaller subclass: #StoaInstallerWorkstation
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'iStoaXP-Installer'!

!StoaInstallerWorkstation commentStamp: 'HilaireFernandes 3/16/2014 08:37' prior: 0!
A StoaInstallerWorkstation is an installer for workstation.
!

!StoaInstallerWorkstation methodsFor: 'setup' stamp: 'HilaireFernandes 4/5/2014 12:45'!
install
	super install.
	self cleanUpForRelease.
	Stoa beUnix;
		develMode: false.
	Stoa addStartUp! !
